package ejbs;

import entities.Theatre;
import java.util.Collection;
import javax.ejb.Remote;

@Remote
public interface OneToOneRemote {
    void persistEntity(Object entity);
    void persistEntityCollection(Collection collection);
    void removeEntity(Class entityFromClass, Long id);
    Object findEntity(Class aClass, Integer id);
    Object findEntity(Class aClass, Long id);
    Object findAndRefreshEntity(Class aClass, Long id);
    Theatre findTheatreLoadLocation(Long id);
}
